local SkillDescCell = class("SkillDescCell", BaseCell)

function SkillDescCell:init()
	local uiMap = self:getUIMap()

    self.imgIcon = uiMap["skill_desc_cell.img_icon"]
    self.txDesc = uiMap["skill_desc_cell.tx_desc"]
    self.line = uiMap["skill_desc_cell.line"]
end

function SkillDescCell:refresh(buffId, isEnd)
    local buffInfo = ConfigManager:getConfig("buff")[buffId]
    self.imgIcon:setSprite(GConst.ATLAS_PATH.ICON_BUFF, buffInfo.icon)
	self.txDesc:setText(I18N:getGlobalText(I18N.GlobalConst.ACCOUNT_ALREADY_BINDED_DESC))
    self.line:setVisible(not isEnd)
end

return SkillDescCell